| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | Private Member Functions | List of all members
IG.Lib.CommandAdapterSingleThreaded Class Reference

Adapter class that wraps a single threaded command delegate and provides a multithreaded function. More...

## Public Member Functions
| CommandAdapterSingleThreaded (ApplicationCommandDelegate singleThreadedApplication, ICommandLineApplicationInterpreter interpreter=null)
| Constructor. More...
string | MultiThreadedApplication (CommandThread commandThread, string commandName, string[] args)
| Converted method that can be added to a collection of multithreaded commands, and calls the original single threaded command. More...

## Properties
ApplicationCommandDelegate | SingleThreadedApplication`[get, protected set]`
| The original single threaded command delegate that we want to install to execute commands. More...
ICommandLineApplicationInterpreter | Interpreter`[get, protected set]`

## Private Member Functions
| CommandAdapterSingleThreaded ()

## Detailed Description

Adapter class that wraps a single threaded command delegate and provides a multithreaded function.

$A Igor Aug08;

## Constructor & Destructor Documentation

IG.Lib.CommandAdapterSingleThreaded.CommandAdapterSingleThreaded | ( |  | ) |
| inline private

IG.Lib.CommandAdapterSingleThreaded.CommandAdapterSingleThreaded | ( | ApplicationCommandDelegate | singleThreadedApplication,
|  | ICommandLineApplicationInterpreter | interpreter = `null`
| ) |  |
| inline

Constructor.

Parameters

  singleThreadedApplication | The delegate to handle commands (wrong type because it is single threaded).
  interpreter | Interpreter that will be used to interpret the new command.

This argument is optional, because in most cases the interpreter will be obtained from the commad thread, which is passed to the adapted command.

## Member Function Documentation

string IG.Lib.CommandAdapterSingleThreaded.MultiThreadedApplication | ( | CommandThread | commandThread,
|  | string | commandName,
|  | string[] | args
| ) |  |
| inline

Converted method that can be added to a collection of multithreaded commands, and calls the original single threaded command.

Parameters

  commandThread |
  commandName |
  args |

Returns

Referenced by IG.Lib.CommandLineApplicationInterpreter.AddCommand().

## Property Documentation

ApplicationCommandDelegate IG.Lib.CommandAdapterSingleThreaded.SingleThreadedApplication
| get protected set

The original single threaded command delegate that we want to install to execute commands.

ICommandLineApplicationInterpreter IG.Lib.CommandAdapterSingleThreaded.Interpreter
| get protected set

The documentation for this class was generated from the following file:

- igbase/interpreters/CommandlineApplicationInterpreterBase.cs